grid.draw {grid} | R Documentation

## Draw a Grid Graphical Object

### Description

Produces graphical output from a graphical object.

### Usage

    grid.draw(x, recording=TRUE)

### Arguments

`x` | An object of class `"grob"` or NULL.
`recording` | A logical value to indicate whether the drawing operation should be recorded on the Grid display list.

### Details

This function doesn't do much itself beyond some system bookkeeping.

It calls the generic function `draw.details`, dispatching on the class of the `list.struct` within the graphical object, and the actual drawing occurs in the appropriate method.

### Value

None.

### Author(s)

Paul Murrell

### See Also

`grid.grob`.

### Examples

    grid.newpage()
    ## Create a graphical object, but don't draw it
    l <- grid.lines(draw=FALSE)
    ## Draw it
    grid.draw(l)

[Package Contents]